Search

Search in sorted by
  • Re: Using Logos 7? Please Make This Important Security Update Now

    First time posting; sorry if this is ignorant or the wrong place: I received an email saying "Action needed: Logos Security update" instructing me to install Logos 7 Basic. My current version of Verbum is 6.14 SR-5 (released June 2017 I see). Here's my concern: when I originally purchased Verbum, I bought Scripture Study+ v5 instead of a "basic" version
    Posted to General by Fr. Daniel Hess on Sat, Nov 3 2018
Page 1 of 1 (1 items) |